Subject: Re: bug#60464: 29.0.60; Regression - pcomplete-arg fails with argument 'last

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Jan 2023 22:01:34 +0200

> Date: Sun, 01 Jan 2023 18:29:53 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked], 
>     [email-masked]
> 
> 
> >> Stefan and Eli, does that patch look right to you?
> >
> > I don't consider myself an expert on pcomplete, sorry.  I will defer to 
> > Jim and Stefan.  (Although I must say that I'm not sure I see a bug 
> > here.)
> >
> > However, I do have two questions:
> >
> > . is this suggested for master or for the emacs-29 branch?
> > . if the latter, then which past version of Emacs handled this correctly?
> >
> 
> It's a sequel of dafa6d6bad, so it should probably go to emacs-29.  I 
> can't really answer your second question with 100% accuracy, but I believe 
> Emacs 28 behaved correctly in the cases discussed in this bug and the 
> earlier ones (bug#59956 and bug#60021).

Thanks.  In that case, I'll withhold my opinion until I see the final
variant of the proposed patch.